IRPCVaultsAdmin.CreateNewReplicaVault
Administration API / specialized admin session
Creates a new replica vault.
| Service | Vault management MFiles.IRPCVaultsAdmin |
|---|---|
| gRPC method | /MFiles.IRPCVaultsAdmin/CreateNewReplicaVault |
| HTTP (mf-http-grpc) | POST /grpc/v1/create-new-replica-vault |
| Request | CreateNewReplicaVaultRequest |
| Response | CreateNewReplicaVaultResponse |
| Book and level | Administration API, specialized |
| Kind | admin |
| Session | Required: the session ID from LogIn in the mfiles-session-id-bin metadata. |
| Idempotent | no |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Remarks
- Requires the system administrator server role (server right
manage_vaults). - Fails unless the server is configured to allow replica vaults (it fails with an error saying
that configuring replica vaults is not allowed), and with an invalid-argument error unless
vault.vault_typeisVAULT_TYPE_REPLICA_VAULT.
Request: CreateNewReplicaVaultRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
vault | VaultEx | The definition of the new replica vault. |
vault.vault | Vault | Basic data. |
vault.vault.vault | VaultBasic | Basic data. |
vault.vault.main_data_folder | string | The main physical folder of this vault on the server (e.g. C:\Program Files\M-Files\Server Vaults\MyVault). |
vault.vault.additional_data_folders[] | repeated AdditionalFolder | The specification of the additional file data folders. |
vault.vault.database_info | SQLDatabase | The vault's SQL database. |
vault.vault.file_data_storage | FileDataStorage | Identifies file data storage to use. Typically specifies that the file data storage is determined automatically.Values: FILE_DATA_STORAGE_DEFAULT (0), FILE_DATA_STORAGE_DISK (1), FILE_DATA_STORAGE_DATABASE (2), FILE_DATA_STORAGE_EXTERNAL (3), FILE_DATA_STORAGE_MASTER (4). |
vault.vault.file_data_connection_string | string | The connection string that identifies the location, protocol, and credentials for the file data storage of this vault. For example, this might specify a storage account, a protocol, and a container name for Azure's BLOB Services. Can be unset or empty. |
vault.vault_type | VaultType | The vault type.Values: VAULT_TYPE_NORMAL_VAULT (0), VAULT_TYPE_REPLICA_VAULT (1), VAULT_TYPE_GROUND_LINK_PROXY (2). |
vault.master_server_address | ServerAddress | The address of the master server. Specified if the vault type is 'replica'. |
vault.master_server_address.network_address | string | The network address (name) of the server. |
vault.master_server_address.endpoint | string | The endpoint of the server. |
vault.master_server_address.protocol_sequence | string | The protocol sequence of the server. |
Response: CreateNewReplicaVaultResponse
No fields.